### Method

# Shumate Viewport location_to_widget_coords

#### Declaration [src]

    void
    shumate_viewport_location_to_widget_coords (
      ShumateViewport* self,
      GtkWidget* widget,
      double latitude,
      double longitude,
      double* x,
      double* y
    )

#### Description [src]

Gets the position on `widget` that correspond to the given latitude and longitude.

#### Parameters

`widget`

  Type: `GtkWidget`

  A `GtkWidget` that uses `self` as viewport.

  The data is owned by the caller of the method.

`latitude`

  Type: `double`

  The latitude.

`longitude`

  Type: `double`

  The longitude.

`x`

  Type: `double*`

  Return value for the x coordinate.

  The argument will be set by the function.

`y`

  Type: `double*`

  Return value for the y coordinate.

  The argument will be set by the function.